{% extends "Docentes/Intranet/index_intranet_curso.html" %}
{% load i18n admin_static admin_list %}

{% block extrastyle1 %}
    <style type="text/css">
    body { padding-top: 60px; font-size: 13px; }
    input[type="text"] { 
        padding:0px; margin-bottom:0px; 
        width: 30px;
    }
    .estudiantecol {
        width: 230px;
    }
    .notacol {
        width: 10px;
    }

    .label-info1 {
        background-color: #0F6CFE;
    }

    .label-notaaprobada {
        background-color: #0F6CFE;
    }

    .label-notadesaprobada {
        background-color: #c41104;
    }
    </style>
    <script type="text/javascript">
$(document).ready(function() {
vnotas0 = new Array();
vnotas2 = new Array();

vnotas = new Array();
vnotas1 = new Array();

{% for reg in registros %}
    {% for reg1 in reg.1 %}
        {% if reg1 %}
            {% for reg2 in reg1.1 %}
                {% if reg2 %}
                    {% for reg3 in reg2.1 %}
                        {% if reg3 %}
                            vnotas['{{ reg3.0.id }}_{{ reg.0.id }}'] = '{{ reg3.2 }}';
                        {% endif %}
                    {% endfor %}
                {% endif %}
                vnotas['{{ reg2.0.id }}_{{ reg.0.id }}'] = '{{ reg2.2 }}';
            {% endfor %}
            vnotas['{{ reg1.0.id }}_{{ reg.0.id }}'] = '{{ reg1.2 }}';
        {% endif %}
    {% endfor %}
    vnotas0['{{ reg.2 }}_{{ reg.0.id }}'] = '{{ reg.3 }}';
{% endfor %}


re_numero = /^\d+$/;
//re_numero = /^\d+(\.\d{1,2})?$/;


$('input[name="text_nota"]').change(function() {
  numero = $(this).attr('value');
  id = $(this).attr('id');
  var index = $('input[name="text_nota"]').index($(this));
  if(numero.match(re_numero)){
      if(numero < 0 || numero > 20){
          alert('Se permiten valores de 0 a 20: ' + numero + '.Debe redondear la calificación');
          $(this).focus();
          $(this).attr('value',vnotas[id]);
      }else{
          $(this).css({color: "green" });
          vnotas1[id] = numero;
      }
  }else{
         alert('Se permiten valores de 0 a 20: ' + numero + '.Debe redondear la calificación');
         $(this).focus();
         $(this).attr('value',vnotas[id]);
  }


});

$('input[name="text_nota_final"]').change(function() {
  numero = $(this).attr('value');
  id = $(this).attr('id');
  var index = $('input[name="text_nota_final"]').index($(this));
  if(numero.match(re_numero)){
      if(numero < 0 || numero > 20){
          alert('Se permiten valores de 0 a 20: ' + numero + '.Debe redondear la calificación');
          $(this).focus();
          $(this).attr('value',vnotas0[id]);
      }else{
          $(this).css({color: "green" });
          vnotas2[id] = numero;
      }
  }else{
         alert('Se permiten valores de 0 a 20: ' + numero + '.Debe redondear la calificación');
         $(this).focus();
         $(this).attr('value',vnotas0[id]);
  }


});


$('input[name="text_nota"]').click(function() {
    $(this).select();
});

$('input[name="text_nota_final"]').click(function() {
    $(this).select();
});
          

$('#grabar_notas').click(function() {
    var cadena = '';
    var cadena1 = '';
    var cadena3 = '';
    var mypost = {};
    for (var vn in vnotas1){
        cadena += vn + '-' +vnotas1[vn] + '|';
    }
    
    for (var vn in vnotas2){
        cadena1 += vn + '-' +vnotas2[vn] + '|';
    }
    cadena3 = cadena + cadena1
//     if(cadena == ''){
//         if(cadena1 != ''){
//             cadena3 = cadena1;
//         }
//     }else{
//         cadena3 = cadena;
//     }
    mypost['vnotas'] = cadena3;
    $.ajax({
        url: "registrar/",
        type: "POST",
        data: mypost,
        success: function(resp) {
            alert('Notas registradas correctamente');
            var rsp = resp.split('|');
            for (var i=0;i<rsp.length - 1;i++) {
                var id_nota = rsp[i].split('-')[0];
                var valor = rsp[i].split('-')[1];
                $("#"+id_nota).empty();
                if($("#"+id_nota).attr('type') == 'text'){
                    $("#"+id_nota).val(valor);
                }else{
                    $("#"+id_nota).html(valor);
                }
                if(valor < {{ periodocurso.Aprobacion|escape }}){
//                     $("#"+id_nota).css({'font-size': '13px','color': "DarkRed" });
                    if($("#"+id_nota).attr('type') == 'text'){
                        $("#"+id_nota).css({'color': "red" });
                    }else{
                        $("#"+id_nota).attr('class',"label label-notadesaprobada");
                    }
                }else{
//                     $("#"+id_nota).css({'font-size': '13px','color': "Navy" });
                    if($("#"+id_nota).attr('type') == 'text'){
                        $("#"+id_nota).css({'color': "blue" });
                    }else{
                        $("#"+id_nota).attr('class',"label label-success");
                    }
                    
                }
            }
        },
        error: function (data, status, e){
            alert('Error comunicándose con el servicio');
            $('#grabar_notas').removeAttr("disabled");
        },
    });

});

});


    </script>
{% endblock %}

{% block content-main %}
<div class="row-fluid">
    <div class="">
        <form class="">
        <h3>{% trans 'Registro de Notas' %}</h3>
        <p class="pull-right">
                <a class="btn btn-small btn-info" href="/docente/profile/notas/exportar_excel/{{ periodocurso.id }}/"><span><i class="icon-download-alt icon-white"></i></span>{% trans 'Descargar Notas' %}</a>
        </p>
        <table class="table table-striped ">
            <thead>
                <tr>
                    <!-- <th colspan="10">Notas de Alumnos UDL</th> -->
                </tr>
                <tr>
                    <TH class="notacol">Nº</TH>
                    <TH class="estudiantecol">{% trans 'Estudiante' %}</TH>
                    {% for reg1 in registros.0.1 %}
                        {% if reg1 %}
                            {% for reg2 in reg1.1 %}
                                {% if reg2 %}
                                    {% for reg3 in reg2.1 %}
                                        {% if reg3 %}
                                            <TH class="notacol">{{ reg3.0.Identificador }}</TH>
                                        {% endif %}
                                    {% endfor %}
                                {% endif %}
                                <TH class="notacol">{{ reg2.0.Identificador }}</TH>
                            {% endfor %}
                            <TH class="notacol">{{ reg1.0.Identificador }}</TH>
                        {% endif %}
                    {% endfor %}
                    <TH class="notacol">{% trans 'PF' %}</TH>
                    <TH class="notacol">{% trans 'A' %}</TH>
                    <TH class="notacol">{% trans 'PS' %}</TH>
                </tr>
            </thead>
            <tbody>
                {% for reg in registros %}
                <tr>
                <TD>{{ forloop.counter }}</TD>
                <TD>{{ reg.0.MatriculaCiclo.Alumno|escape }} {% if reg.0.Inhabilitado %}| <span style="color: red">INHABILITADO</span>{% endif %}</TD>
                    {% for reg1 in reg.1 %}
                        {% if reg1 %}
                            {% for reg2 in reg1.1 %}
                                {% if reg2 %}
                                    {% for reg3 in reg2.1 %}
                                        {% if reg3 %}
                                            {% if reg3.0.SubNotas %}
                                                <TD><span id='{{ reg3.0.id }}_{{ reg.0.id }}' class="label label-{% if reg3.2 < periodocurso.Aprobacion %}notadesaprobada{% else %}notaaprobada{% endif %}"></span>{{ reg3.2 }}</TD>
                                            {% else %}
                                                {% if periodocurso.EditarNotas %}
{% comment %}                                                     {% if reg3.0.Identificador == identificador %} {% endcomment %}
                                                        {% if reg.0.Inhabilitado %}
                                                        <TD><span id='{{ reg3.0.id }}_{{ reg.0.id }}' style="color: {% if reg3.2 < periodocurso.Aprobacion %}red{% else %}blue{% endif %}"></span>{% trans 'INHABILITADO' %}</TD>
                                                        {% else %}
                                                        <TD><input type="text" id='{{ reg3.0.id }}_{{ reg.0.id }}' name="text_nota" value="{{ reg3.2 }}" class="input-mini" style="color: {% if reg3.2 < periodocurso.Aprobacion %}red{% else %}blue{% endif %}"></TD>
                                                        {% endif  %}
{% comment %}                                                     {% else %} {% endcomment %}
{% comment %}                                                         <TD><span id='{{ reg3.0.id }}_{{ reg.0.id }}' style="color: {% if reg3.2 < periodocurso.Aprobacion %}red{% else %}blue{% endif %}"></span>{{ reg3.2 }}</TD> {% endcomment %}
{% comment %}                                                     {% endif %} {% endcomment %}
                                                {% else %}
                                                    <TD><span id='{{ reg3.0.id }}_{{ reg.0.id }}' style="color: {% if reg3.2 < periodocurso.Aprobacion %}red{% else %}blue{% endif %}"></span>{{ reg3.2 }}</TD>
                                                {% endif %}
                                            {% endif %}
                                        {% endif %}
                                    {% endfor %}
                                {% endif %}
                                {% if reg2.0.SubNotas %}
                                    <TD><span id='{{ reg2.0.id }}_{{ reg.0.id }}' class="label label-{% if reg2.2 < periodocurso.Aprobacion %}notadesaprobada{% else %}notaaprobada{% endif %}">{{ reg2.2 }}</span></TD>
                                {% else %}
                                    {% if periodocurso.EditarNotas %}
{% comment %}                                         {% if reg2.0.Identificador == identificador %} {% endcomment %}
                                            {% if reg.0.Inhabilitado %}
                                            <TD><span id='{{ reg2.0.id }}_{{ reg.0.id }}' style="color: {% if reg2.2 < periodocurso.Aprobacion %}red{% else %}blue{% endif %}">{% trans 'INHABILITADO'%}</span></TD>
                                            {% else %}
                                            <TD><input type="text" id='{{ reg2.0.id }}_{{ reg.0.id }}' name="text_nota" value="{{ reg2.2 }}" class="input-mini" style="color: {% if reg2.2 < periodocurso.Aprobacion %}red{% else %}blue{% endif %}" ></TD>
                                            {% endif %}
{% comment %}                                         {% else %} {% endcomment %}
{% comment %}                                             <TD><span id='{{ reg2.0.id }}_{{ reg.0.id }}' style="color: {% if reg2.2 < periodocurso.Aprobacion %}red{% else %}blue{% endif %}">{{ reg2.2 }}</span></TD> {% endcomment %}
{% comment %}                                         {% endif %} {% endcomment %}
                                    {% else %}
                                        <TD><span id='{{ reg2.0.id }}_{{ reg.0.id }}' style="color: {% if reg2.2 < periodocurso.Aprobacion %}red{% else %}blue{% endif %}">{{ reg2.2 }}</span></TD>
                                    {% endif %}
                                {% endif %}
                            {% endfor %}
                            {% if reg1.0.SubNotas %}
                                <TD><span id='{{ reg1.0.id }}_{{ reg.0.id }}' class="label label-{% if reg1.2 < periodocurso.Aprobacion %}notadesaprobada{% else %}notaaprobada{% endif %}" >{{ reg1.2 }}</span></TD>
                            {% else %}
                                {% if periodocurso.EditarNotas %}
{% comment %}                                     {% if reg1.0.Identificador == identificador %} {% endcomment %}
                                        {% if reg.0.Inhabilitado %}
                                        <TD><span id='{{ reg1.0.id }}_{{ reg.0.id }}' style="color: {% if reg1.2 < periodocurso.Aprobacion %}red{% else %}blue{% endif %}" >{% trans 'INHABILITADO'%}</span></TD>
                                        {% else %}
                                        <TD><input type="text" id='{{ reg1.0.id }}_{{ reg.0.id }}' name="text_nota" value="{{ reg1.2 }}" class="input-mini" style="color: {% if reg1.2 < periodocurso.Aprobacion %}red{% else %}blue{% endif %}"></TD>
                                        {% endif %}
{% comment %}                                     {% else %} {% endcomment %}
{% comment %}                                         <TD><span id='{{ reg1.0.id }}_{{ reg.0.id }}' style="color: {% if reg1.2 < periodocurso.Aprobacion %}red{% else %}blue{% endif %}" >{{ reg1.2 }}</span></TD> {% endcomment %}
{% comment %}                                     {% endif %} {% endcomment %}
                                {% else %}
                                    <TD><span id='{{ reg1.0.id }}_{{ reg.0.id }}' style="color: {% if reg1.2 < periodocurso.Aprobacion %}red{% else %}blue{% endif %}" >{{ reg1.2 }}</span></TD>
                                {% endif %}
                            {% endif %}
                        {% endif %}
                    {% endfor %}
                    <TD><span id='{{ reg.0.id }}' class="label label-{% if reg.0.Promedio1 < periodocurso.Aprobacion %}notadesaprobada{% else %}success{% endif %}" >{{ reg.0.Promedio1 }}</span></TD>
                    {% if periodocurso.EditarAplazados %}
                        {% if reg.0.Inhabilitado %}
                        <TD><span id='{{ reg.2 }}_{{ reg.0.id }}' class="label label-{% if reg.3 < periodocurso.Aprobacion %}notadesaprobada{% else %}success{% endif %}" >{% trans 'INHABILITADO' %}</span></TD>
                        {% else %}
                        <TD><input type="text" id='{{ reg.2 }}_{{ reg.0.id }}' name="text_nota_final" value="{{ reg.3 }}" class="input-mini" style="color: {% if reg.3 < periodocurso.Aprobacion %}red{% else %}blue{% endif %}"></TD>
                        {% endif %}
                    {% else %}
                        <TD><span id='{{ reg.2 }}_{{ reg.0.id }}' class="label label-{% if reg.3 < periodocurso.Aprobacion %}notadesaprobada{% else %}success{% endif %}" >{{ reg.3 }}</span></TD>
                    {% endif %}
                    <TD><span id='ps_{{ reg.2 }}_{{ reg.0.id }}' class="label label-{% if reg.3 < periodocurso.Aprobacion %}notadesaprobada{% else %}success{% endif %}" >{{ reg.3 }}</span></TD>
                </tr>
                {% endfor %}
            </tbody>
        </table>
        
        {% if periodocurso.EditarNotas or periodocurso.EditarAplazados %}
        <div class="form-actions">
            <input class="btn btn-info" id = 'grabar_notas' type="button" value="Grabar Notas" />
        </div>
        {% endif %}
        
        </form>
        <!-- ITEMS DE CALIFICACION Y NOTAS -->                        
        <div class="row-fluid">
        <div class="span6 well">
            <ul class="nav nav-list">
                <h3>{% trans 'Items de Calificación' %}</h3>
                <li class="divider"></li>
                {% for nota in notas %}
                    <li><i class="icon-chevron-right"></i> <span class="label label-info1">{{ nota.Identificador }}</span> : <span>"{{ nota.Nota }}"</span></li>
                {% endfor %}
            </ul>                   
        </div>
        
        <div class="span6 well">
            <ul class="nav nav-list">
                <h3>{% trans 'Fórmulas de Calificación' %}</h3>
                <li class="divider"></li>
                {% for formula in formulas %}
                    <li><i class="icon-chevron-right"></i> <span>{{ formula }}</span></li>
                {% endfor %}
            </ul>                   
        </div>
        </div>
        <!-- / ITEMS DE CALIFICACION Y NOTAS -->
    </div>
    
</div>
{% endblock %}
